> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/microsoft-xna-framework/graphicsdevicemanager/supportedorientations.md).

# supportedorientations

### Introduction

SupportedOrientation controls available orientations on the app. This property is only used on devices which can be used in portrait and landscape modes (not available on desktop platforms, Xbox One).

### Code Example

The following code can be used to set the game to run in portrait mode:

```lang:c#
GraphicsDeviceManager graphics;
public Game1() : base ()
{
    graphics = new GraphicsDeviceManager(this);
    ...
    graphics.SupportedOrientations = DisplayOrientation.Portrait;
    ...
```

Note that additional code is required for each platform, as shown below.

#### Code Location

SupportedOrientations property must be assigned in the Game's constructor, after the graphics instance has been initialized. Assigning the orientation later, such as in initialize methods, may result in unexpected behavior.

### Platform Specific Considerations

Setting the orientation through SupportedOrientation also requires additional changes per-platform.

#### Android

The orientations set on SupportedOrientation should match the orientations set in Activity1.cs on the Activity attribute, as shown in the following code:

```lang:c#
[Activity(Label = "AndroidOrientation"
    , MainLauncher = true
    , Icon = "@drawable/icon"
    , Theme = "@style/Theme.Splash"
    , AlwaysRetainTaskState = true
    , LaunchMode = Android.Content.PM.LaunchMode.SingleInstance
    , ScreenOrientation = ScreenOrientation.Portrait
    , ConfigurationChanges = ConfigChanges.Orientation | ConfigChanges.ScreenSize | ConfigChanges.Keyboard | ConfigChanges.KeyboardHidden)]
public class Activity1 : Microsoft.Xna.Framework.AndroidGameActivity
{
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/api/microsoft-xna-framework/graphicsdevicemanager/supportedorientations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
